Update notification preference
curl --request PATCH \
--url https://api.hexclave.com/api/v1/emails/notification-preference/{user_id}/{notification_category_id} \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.hexclave.com/api/v1/emails/notification-preference/{user_id}/{notification_category_id}"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.hexclave.com/api/v1/emails/notification-preference/{user_id}/{notification_category_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notification_category_id": "<string>",
"notification_category_name": "<string>",
"enabled": true,
"can_disable": true
}Emails
Update notification preference
Enable or disable a specific notification category for a user.
PATCH
/
emails
/
notification-preference
/
{user_id}
/
{notification_category_id}
Update notification preference
Path Parameters
The ID of the user, or the special value me for the currently authenticated user
Example:
"3241a285-8329-4d69-8f3d-316e08cf140c"
Body
application/json
⌘I